/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model52
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model52 {
  @SerializedName("consent_type")
  private String consentType = null;

  @SerializedName("value")
  private Boolean value = null;

  public Model52 consentType(String consentType) {
    this.consentType = consentType;
    return this;
  }

   /**
   * Type of the consent:\&quot;authorization, understanding\&quot;
   * @return consentType
  **/
  @ApiModelProperty(example = "authorization", required = true, value = "Type of the consent:\"authorization, understanding\"")
  public String getConsentType() {
    return consentType;
  }

  public void setConsentType(String consentType) {
    this.consentType = consentType;
  }

  public Model52 value(Boolean value) {
    this.value = value;
    return this;
  }

   /**
   * true or false
   * @return value
  **/
  @ApiModelProperty(example = "true", value = "true or false")
  public Boolean isValue() {
    return value;
  }

  public void setValue(Boolean value) {
    this.value = value;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model52 model52 = (Model52) o;
    return Objects.equals(this.consentType, model52.consentType) &&
        Objects.equals(this.value, model52.value);
  }

  @Override
  public int hashCode() {
    return Objects.hash(consentType, value);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model52 {\n");
    
    sb.append("    consentType: ").append(toIndentedString(consentType)).append("\n");
    sb.append("    value: ").append(toIndentedString(value)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

